#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long t, n, m, k, s, a, b, l;
    cin>>t;
    while(t--){
        cin>>n>>m>>k;
        s=0;
        b=n%k;
        a=k-b;
        l=n/k;
        s=a*l*(l+1)/2+b*(l+1)*(l+2)/2;
        if(s>m) cout<<"Nie"<<'\n';
        else cout<<"Tak"<<'\n';
    }
    return 0;
}